Skip to main content
POST
/
v1
/
pay-connect
/
transactions
/
generate
cURL
curl --request POST \
  --url https://api-payment.lab4pay.com/v1/pay-connect/transactions/generate/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Pay-Connect-Integrator-Id: <x-pay-connect-integrator-id>' \
  --data '
{
  "amount": 123,
  "client_transaction_id": "<string>",
  "payment_method": "<string>"
}
'
{
  "transaction_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pay-Connect-Integrator-Id
string
required

Pay-Connect Integrator ID

Body

application/json
amount
integer
required

The amount of the payment, in cents

client_transaction_id
string

The reference of client transaction

payment_method
string

The payment method of the payment, if it is not provided, the terminal displays a payment method selector

Response

Successful operation

transaction_id
string
required

Transaction ID